@echo off

call "%~pd0.\set_env.cmd"

call "%~pd0.\SalesForecast\script.cmd"
if errorlevel 1 goto batch_failed
call "%~pd0.\SalesForecastTest\script.cmd"
if errorlevel 1 goto batch_failed

echo Creating database...
osql -b -r 0 -E -S %SERVER_NAME% -d master -i "%~pd0.\SalesForecast\CreateCatalog.sql" -o "%~pd0.\SalesForecast\%OUTPUT_FILE%"

if errorlevel 1 goto batch_failed

echo Installing SalesForecast module...
osql -b -r 0 -E -S %SERVER_NAME% -d %DATABASE_NAME% -i "%~pd0.\SalesForecast\SalesForecast.spm2.sql" -o "%~pd0.\SalesForecast\%OUTPUT_FILE%"
if errorlevel 1 goto batch_failed

echo Installing SalesForecastTest module...
osql -b -r 0 -E -S %SERVER_NAME% -d %DATABASE_NAME% -i "%~pd0.\SalesForecastTest\SalesForecastTest.spm2.sql" -o "%~pd0.\SalesForecastTest\%OUTPUT_FILE%"
if errorlevel 1 goto batch_failed

goto all_done

:batch_failed               
echo Installation FAILED
exit /b 1

:all_done
echo Installed OK
exit /b 0